Subject: [bug#65866] [PATCH v2 1/8] git-download: Move fallback code to (guix build git).

From: Simon Tournier <[email-masked]>
Date: Mon, 25 Sep 2023 10:15:21 +0200

Hi Ludo,

On Sat, 23 Sep 2023 at 00:27, Ludovic Courtès <[email-masked]> wrote:

> +      ;; XXX: Currently recursive checkouts are not supported.
> +      (and (not recursive?)

Naively, and similarly as Maxim’s remark, maybe we could raise a warning
when the case is not supported instead of silently return #f.

If raising a warning here is not appropriate, maybe document in the
docstring the returned value as #f.

> -      (with-extensions (list guile-json gnutls   ;for (guix swh)
> +      (with-extensions (list guile-json gnutls    ;for (guix swh)

Nitpick: Since the change is complex, I would suggest to avoid this
cosmetic.

Cheers,
simon